	component q_sys is
		port (
			bmc_i2c_conduit_end_conduit_data_in               : in  std_logic                     := 'X';             -- conduit_data_in
			bmc_i2c_conduit_end_conduit_clk_in                : in  std_logic                     := 'X';             -- conduit_clk_in
			bmc_i2c_conduit_end_conduit_data_oe               : out std_logic;                                        -- conduit_data_oe
			bmc_i2c_conduit_end_conduit_clk_oe                : out std_logic;                                        -- conduit_clk_oe
			clk_clk                                           : in  std_logic                     := 'X';             -- clk
			dac_i2c_access_reg_0_conduit_end_state_data       : out std_logic_vector(15 downto 0);                    -- state_data
			dac_i2c_access_reg_0_conduit_end_clr_inc_dec      : out std_logic;                                        -- clr_inc_dec
			dac_i2c_access_reg_0_conduit_end_inc_dec_num      : in  std_logic_vector(10 downto 0) := (others => 'X'); -- inc_dec_num
			dac_i2c_access_reg_0_conduit_end_inc_decn         : in  std_logic                     := 'X';             -- inc_decn
			dac_i2c_access_reg_0_conduit_end_start_enable     : in  std_logic                     := 'X';             -- start_enable
			dac_i2c_access_reg_0_conduit_end_readdata         : out std_logic_vector(15 downto 0);                    -- readdata
			fmca_i2c_slave_conduit_end_conduit_data_in        : in  std_logic                     := 'X';             -- conduit_data_in
			fmca_i2c_slave_conduit_end_conduit_clk_in         : in  std_logic                     := 'X';             -- conduit_clk_in
			fmca_i2c_slave_conduit_end_conduit_data_oe        : out std_logic;                                        -- conduit_data_oe
			fmca_i2c_slave_conduit_end_conduit_clk_oe         : out std_logic;                                        -- conduit_clk_oe
			fmcb_i2c_slave_conduit_end_conduit_data_in        : in  std_logic                     := 'X';             -- conduit_data_in
			fmcb_i2c_slave_conduit_end_conduit_clk_in         : in  std_logic                     := 'X';             -- conduit_clk_in
			fmcb_i2c_slave_conduit_end_conduit_data_oe        : out std_logic;                                        -- conduit_data_oe
			fmcb_i2c_slave_conduit_end_conduit_clk_oe         : out std_logic;                                        -- conduit_clk_oe
			i2c_0_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_0_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_0_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_0_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_1_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_1_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_1_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_1_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_2_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_2_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_2_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_2_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_3_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_3_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_3_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_3_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_4_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_4_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_4_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_4_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_5_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_5_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_5_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_5_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_6_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_6_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_6_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_6_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_7_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_7_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_7_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_7_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_8_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_8_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_8_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_8_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_9_i2c_serial_sda_in                           : in  std_logic                     := 'X';             -- sda_in
			i2c_9_i2c_serial_scl_in                           : in  std_logic                     := 'X';             -- scl_in
			i2c_9_i2c_serial_sda_oe                           : out std_logic;                                        -- sda_oe
			i2c_9_i2c_serial_scl_oe                           : out std_logic;                                        -- scl_oe
			i2c_power_max10_i2c_serial_sda_in                 : in  std_logic                     := 'X';             -- sda_in
			i2c_power_max10_i2c_serial_scl_in                 : in  std_logic                     := 'X';             -- scl_in
			i2c_power_max10_i2c_serial_sda_oe                 : out std_logic;                                        -- sda_oe
			i2c_power_max10_i2c_serial_scl_oe                 : out std_logic;                                        -- scl_oe
			pio_dipsw_external_connection_export              : in  std_logic_vector(7 downto 0)  := (others => 'X'); -- export
			pio_led_g_external_connection_export              : in  std_logic_vector(5 downto 0)  := (others => 'X'); -- export
			pio_led_y_external_connection_export              : in  std_logic_vector(1 downto 0)  := (others => 'X'); -- export
			pio_mux_dipsw_external_connection_export          : in  std_logic_vector(11 downto 0) := (others => 'X'); -- export
			pio_pb_external_connection_export                 : in  std_logic_vector(5 downto 0)  := (others => 'X'); -- export
			reset_reset_n                                     : in  std_logic                     := 'X';             -- reset_n
			system_max_id_0_control_gui_export                : out std_logic_vector(31 downto 0);                    -- export
			system_max_id_0_cpu_resetn_export                 : out std_logic;                                        -- export
			system_max_id_0_fpga_pgm_export                   : in  std_logic_vector(2 downto 0)  := (others => 'X'); -- export
			system_max_id_0_fpga_reconfign_export             : out std_logic;                                        -- export
			system_max_id_0_page_sel_export                   : out std_logic_vector(3 downto 0);                     -- export
			system_max_id_0_page_sel_pb_export                : in  std_logic                     := 'X';             -- export
			system_max_id_0_project_id_export                 : in  std_logic_vector(15 downto 0) := (others => 'X'); -- export
			system_max_id_0_pwm_duty_ctrl_export              : out std_logic_vector(2 downto 0);                     -- export
			system_max_id_0_slv_data_read_0_slv_data_read_0   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- slv_data_read_0
			system_max_id_0_slv_data_read_1_slv_data_read_1   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- slv_data_read_1
			system_max_id_0_slv_data_read_2_slv_data_read_2   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- slv_data_read_2
			system_max_id_0_slv_data_read_3_slv_data_read_3   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- slv_data_read_3
			system_max_id_0_slv_data_write_0_slv_data_write_0 : out std_logic_vector(31 downto 0);                    -- slv_data_write_0
			system_max_id_0_slv_data_write_1_slv_data_write_1 : out std_logic_vector(31 downto 0);                    -- slv_data_write_1
			system_max_id_0_version_export                    : in  std_logic_vector(15 downto 0) := (others => 'X')  -- export
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			bmc_i2c_conduit_end_conduit_data_in               => CONNECTED_TO_bmc_i2c_conduit_end_conduit_data_in,               --               bmc_i2c_conduit_end.conduit_data_in
			bmc_i2c_conduit_end_conduit_clk_in                => CONNECTED_TO_bmc_i2c_conduit_end_conduit_clk_in,                --                                  .conduit_clk_in
			bmc_i2c_conduit_end_conduit_data_oe               => CONNECTED_TO_bmc_i2c_conduit_end_conduit_data_oe,               --                                  .conduit_data_oe
			bmc_i2c_conduit_end_conduit_clk_oe                => CONNECTED_TO_bmc_i2c_conduit_end_conduit_clk_oe,                --                                  .conduit_clk_oe
			clk_clk                                           => CONNECTED_TO_clk_clk,                                           --                               clk.clk
			dac_i2c_access_reg_0_conduit_end_state_data       => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_state_data,       --  dac_i2c_access_reg_0_conduit_end.state_data
			dac_i2c_access_reg_0_conduit_end_clr_inc_dec      => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_clr_inc_dec,      --                                  .clr_inc_dec
			dac_i2c_access_reg_0_conduit_end_inc_dec_num      => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_inc_dec_num,      --                                  .inc_dec_num
			dac_i2c_access_reg_0_conduit_end_inc_decn         => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_inc_decn,         --                                  .inc_decn
			dac_i2c_access_reg_0_conduit_end_start_enable     => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_start_enable,     --                                  .start_enable
			dac_i2c_access_reg_0_conduit_end_readdata         => CONNECTED_TO_dac_i2c_access_reg_0_conduit_end_readdata,         --                                  .readdata
			fmca_i2c_slave_conduit_end_conduit_data_in        => CONNECTED_TO_fmca_i2c_slave_conduit_end_conduit_data_in,        --        fmca_i2c_slave_conduit_end.conduit_data_in
			fmca_i2c_slave_conduit_end_conduit_clk_in         => CONNECTED_TO_fmca_i2c_slave_conduit_end_conduit_clk_in,         --                                  .conduit_clk_in
			fmca_i2c_slave_conduit_end_conduit_data_oe        => CONNECTED_TO_fmca_i2c_slave_conduit_end_conduit_data_oe,        --                                  .conduit_data_oe
			fmca_i2c_slave_conduit_end_conduit_clk_oe         => CONNECTED_TO_fmca_i2c_slave_conduit_end_conduit_clk_oe,         --                                  .conduit_clk_oe
			fmcb_i2c_slave_conduit_end_conduit_data_in        => CONNECTED_TO_fmcb_i2c_slave_conduit_end_conduit_data_in,        --        fmcb_i2c_slave_conduit_end.conduit_data_in
			fmcb_i2c_slave_conduit_end_conduit_clk_in         => CONNECTED_TO_fmcb_i2c_slave_conduit_end_conduit_clk_in,         --                                  .conduit_clk_in
			fmcb_i2c_slave_conduit_end_conduit_data_oe        => CONNECTED_TO_fmcb_i2c_slave_conduit_end_conduit_data_oe,        --                                  .conduit_data_oe
			fmcb_i2c_slave_conduit_end_conduit_clk_oe         => CONNECTED_TO_fmcb_i2c_slave_conduit_end_conduit_clk_oe,         --                                  .conduit_clk_oe
			i2c_0_i2c_serial_sda_in                           => CONNECTED_TO_i2c_0_i2c_serial_sda_in,                           --                  i2c_0_i2c_serial.sda_in
			i2c_0_i2c_serial_scl_in                           => CONNECTED_TO_i2c_0_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_0_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_0_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_0_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_0_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_1_i2c_serial_sda_in                           => CONNECTED_TO_i2c_1_i2c_serial_sda_in,                           --                  i2c_1_i2c_serial.sda_in
			i2c_1_i2c_serial_scl_in                           => CONNECTED_TO_i2c_1_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_1_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_1_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_1_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_1_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_2_i2c_serial_sda_in                           => CONNECTED_TO_i2c_2_i2c_serial_sda_in,                           --                  i2c_2_i2c_serial.sda_in
			i2c_2_i2c_serial_scl_in                           => CONNECTED_TO_i2c_2_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_2_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_2_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_2_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_2_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_3_i2c_serial_sda_in                           => CONNECTED_TO_i2c_3_i2c_serial_sda_in,                           --                  i2c_3_i2c_serial.sda_in
			i2c_3_i2c_serial_scl_in                           => CONNECTED_TO_i2c_3_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_3_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_3_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_3_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_3_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_4_i2c_serial_sda_in                           => CONNECTED_TO_i2c_4_i2c_serial_sda_in,                           --                  i2c_4_i2c_serial.sda_in
			i2c_4_i2c_serial_scl_in                           => CONNECTED_TO_i2c_4_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_4_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_4_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_4_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_4_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_5_i2c_serial_sda_in                           => CONNECTED_TO_i2c_5_i2c_serial_sda_in,                           --                  i2c_5_i2c_serial.sda_in
			i2c_5_i2c_serial_scl_in                           => CONNECTED_TO_i2c_5_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_5_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_5_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_5_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_5_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_6_i2c_serial_sda_in                           => CONNECTED_TO_i2c_6_i2c_serial_sda_in,                           --                  i2c_6_i2c_serial.sda_in
			i2c_6_i2c_serial_scl_in                           => CONNECTED_TO_i2c_6_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_6_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_6_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_6_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_6_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_7_i2c_serial_sda_in                           => CONNECTED_TO_i2c_7_i2c_serial_sda_in,                           --                  i2c_7_i2c_serial.sda_in
			i2c_7_i2c_serial_scl_in                           => CONNECTED_TO_i2c_7_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_7_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_7_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_7_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_7_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_8_i2c_serial_sda_in                           => CONNECTED_TO_i2c_8_i2c_serial_sda_in,                           --                  i2c_8_i2c_serial.sda_in
			i2c_8_i2c_serial_scl_in                           => CONNECTED_TO_i2c_8_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_8_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_8_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_8_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_8_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_9_i2c_serial_sda_in                           => CONNECTED_TO_i2c_9_i2c_serial_sda_in,                           --                  i2c_9_i2c_serial.sda_in
			i2c_9_i2c_serial_scl_in                           => CONNECTED_TO_i2c_9_i2c_serial_scl_in,                           --                                  .scl_in
			i2c_9_i2c_serial_sda_oe                           => CONNECTED_TO_i2c_9_i2c_serial_sda_oe,                           --                                  .sda_oe
			i2c_9_i2c_serial_scl_oe                           => CONNECTED_TO_i2c_9_i2c_serial_scl_oe,                           --                                  .scl_oe
			i2c_power_max10_i2c_serial_sda_in                 => CONNECTED_TO_i2c_power_max10_i2c_serial_sda_in,                 --        i2c_power_max10_i2c_serial.sda_in
			i2c_power_max10_i2c_serial_scl_in                 => CONNECTED_TO_i2c_power_max10_i2c_serial_scl_in,                 --                                  .scl_in
			i2c_power_max10_i2c_serial_sda_oe                 => CONNECTED_TO_i2c_power_max10_i2c_serial_sda_oe,                 --                                  .sda_oe
			i2c_power_max10_i2c_serial_scl_oe                 => CONNECTED_TO_i2c_power_max10_i2c_serial_scl_oe,                 --                                  .scl_oe
			pio_dipsw_external_connection_export              => CONNECTED_TO_pio_dipsw_external_connection_export,              --     pio_dipsw_external_connection.export
			pio_led_g_external_connection_export              => CONNECTED_TO_pio_led_g_external_connection_export,              --     pio_led_g_external_connection.export
			pio_led_y_external_connection_export              => CONNECTED_TO_pio_led_y_external_connection_export,              --     pio_led_y_external_connection.export
			pio_mux_dipsw_external_connection_export          => CONNECTED_TO_pio_mux_dipsw_external_connection_export,          -- pio_mux_dipsw_external_connection.export
			pio_pb_external_connection_export                 => CONNECTED_TO_pio_pb_external_connection_export,                 --        pio_pb_external_connection.export
			reset_reset_n                                     => CONNECTED_TO_reset_reset_n,                                     --                             reset.reset_n
			system_max_id_0_control_gui_export                => CONNECTED_TO_system_max_id_0_control_gui_export,                --       system_max_id_0_control_gui.export
			system_max_id_0_cpu_resetn_export                 => CONNECTED_TO_system_max_id_0_cpu_resetn_export,                 --        system_max_id_0_cpu_resetn.export
			system_max_id_0_fpga_pgm_export                   => CONNECTED_TO_system_max_id_0_fpga_pgm_export,                   --          system_max_id_0_fpga_pgm.export
			system_max_id_0_fpga_reconfign_export             => CONNECTED_TO_system_max_id_0_fpga_reconfign_export,             --    system_max_id_0_fpga_reconfign.export
			system_max_id_0_page_sel_export                   => CONNECTED_TO_system_max_id_0_page_sel_export,                   --          system_max_id_0_page_sel.export
			system_max_id_0_page_sel_pb_export                => CONNECTED_TO_system_max_id_0_page_sel_pb_export,                --       system_max_id_0_page_sel_pb.export
			system_max_id_0_project_id_export                 => CONNECTED_TO_system_max_id_0_project_id_export,                 --        system_max_id_0_project_id.export
			system_max_id_0_pwm_duty_ctrl_export              => CONNECTED_TO_system_max_id_0_pwm_duty_ctrl_export,              --     system_max_id_0_pwm_duty_ctrl.export
			system_max_id_0_slv_data_read_0_slv_data_read_0   => CONNECTED_TO_system_max_id_0_slv_data_read_0_slv_data_read_0,   --   system_max_id_0_slv_data_read_0.slv_data_read_0
			system_max_id_0_slv_data_read_1_slv_data_read_1   => CONNECTED_TO_system_max_id_0_slv_data_read_1_slv_data_read_1,   --   system_max_id_0_slv_data_read_1.slv_data_read_1
			system_max_id_0_slv_data_read_2_slv_data_read_2   => CONNECTED_TO_system_max_id_0_slv_data_read_2_slv_data_read_2,   --   system_max_id_0_slv_data_read_2.slv_data_read_2
			system_max_id_0_slv_data_read_3_slv_data_read_3   => CONNECTED_TO_system_max_id_0_slv_data_read_3_slv_data_read_3,   --   system_max_id_0_slv_data_read_3.slv_data_read_3
			system_max_id_0_slv_data_write_0_slv_data_write_0 => CONNECTED_TO_system_max_id_0_slv_data_write_0_slv_data_write_0, --  system_max_id_0_slv_data_write_0.slv_data_write_0
			system_max_id_0_slv_data_write_1_slv_data_write_1 => CONNECTED_TO_system_max_id_0_slv_data_write_1_slv_data_write_1, --  system_max_id_0_slv_data_write_1.slv_data_write_1
			system_max_id_0_version_export                    => CONNECTED_TO_system_max_id_0_version_export                     --           system_max_id_0_version.export
		);

