// q_sys.v

// Generated using ACDS version 22.1 915

`timescale 1 ps / 1 ps
module q_sys (
		input  wire        bmc_i2c_conduit_end_conduit_data_in,               //               bmc_i2c_conduit_end.conduit_data_in
		input  wire        bmc_i2c_conduit_end_conduit_clk_in,                //                                  .conduit_clk_in
		output wire        bmc_i2c_conduit_end_conduit_data_oe,               //                                  .conduit_data_oe
		output wire        bmc_i2c_conduit_end_conduit_clk_oe,                //                                  .conduit_clk_oe
		input  wire        clk_clk,                                           //                               clk.clk
		output wire [15:0] dac_i2c_access_reg_0_conduit_end_state_data,       //  dac_i2c_access_reg_0_conduit_end.state_data
		output wire        dac_i2c_access_reg_0_conduit_end_clr_inc_dec,      //                                  .clr_inc_dec
		input  wire [10:0] dac_i2c_access_reg_0_conduit_end_inc_dec_num,      //                                  .inc_dec_num
		input  wire        dac_i2c_access_reg_0_conduit_end_inc_decn,         //                                  .inc_decn
		input  wire        dac_i2c_access_reg_0_conduit_end_start_enable,     //                                  .start_enable
		output wire [15:0] dac_i2c_access_reg_0_conduit_end_readdata,         //                                  .readdata
		input  wire        fmca_i2c_slave_conduit_end_conduit_data_in,        //        fmca_i2c_slave_conduit_end.conduit_data_in
		input  wire        fmca_i2c_slave_conduit_end_conduit_clk_in,         //                                  .conduit_clk_in
		output wire        fmca_i2c_slave_conduit_end_conduit_data_oe,        //                                  .conduit_data_oe
		output wire        fmca_i2c_slave_conduit_end_conduit_clk_oe,         //                                  .conduit_clk_oe
		input  wire        fmcb_i2c_slave_conduit_end_conduit_data_in,        //        fmcb_i2c_slave_conduit_end.conduit_data_in
		input  wire        fmcb_i2c_slave_conduit_end_conduit_clk_in,         //                                  .conduit_clk_in
		output wire        fmcb_i2c_slave_conduit_end_conduit_data_oe,        //                                  .conduit_data_oe
		output wire        fmcb_i2c_slave_conduit_end_conduit_clk_oe,         //                                  .conduit_clk_oe
		input  wire        i2c_0_i2c_serial_sda_in,                           //                  i2c_0_i2c_serial.sda_in
		input  wire        i2c_0_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_0_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_0_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_1_i2c_serial_sda_in,                           //                  i2c_1_i2c_serial.sda_in
		input  wire        i2c_1_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_1_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_1_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_2_i2c_serial_sda_in,                           //                  i2c_2_i2c_serial.sda_in
		input  wire        i2c_2_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_2_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_2_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_3_i2c_serial_sda_in,                           //                  i2c_3_i2c_serial.sda_in
		input  wire        i2c_3_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_3_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_3_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_4_i2c_serial_sda_in,                           //                  i2c_4_i2c_serial.sda_in
		input  wire        i2c_4_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_4_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_4_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_5_i2c_serial_sda_in,                           //                  i2c_5_i2c_serial.sda_in
		input  wire        i2c_5_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_5_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_5_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_6_i2c_serial_sda_in,                           //                  i2c_6_i2c_serial.sda_in
		input  wire        i2c_6_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_6_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_6_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_7_i2c_serial_sda_in,                           //                  i2c_7_i2c_serial.sda_in
		input  wire        i2c_7_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_7_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_7_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_8_i2c_serial_sda_in,                           //                  i2c_8_i2c_serial.sda_in
		input  wire        i2c_8_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_8_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_8_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_9_i2c_serial_sda_in,                           //                  i2c_9_i2c_serial.sda_in
		input  wire        i2c_9_i2c_serial_scl_in,                           //                                  .scl_in
		output wire        i2c_9_i2c_serial_sda_oe,                           //                                  .sda_oe
		output wire        i2c_9_i2c_serial_scl_oe,                           //                                  .scl_oe
		input  wire        i2c_power_max10_i2c_serial_sda_in,                 //        i2c_power_max10_i2c_serial.sda_in
		input  wire        i2c_power_max10_i2c_serial_scl_in,                 //                                  .scl_in
		output wire        i2c_power_max10_i2c_serial_sda_oe,                 //                                  .sda_oe
		output wire        i2c_power_max10_i2c_serial_scl_oe,                 //                                  .scl_oe
		input  wire [7:0]  pio_dipsw_external_connection_export,              //     pio_dipsw_external_connection.export
		input  wire [5:0]  pio_led_g_external_connection_export,              //     pio_led_g_external_connection.export
		input  wire [1:0]  pio_led_y_external_connection_export,              //     pio_led_y_external_connection.export
		input  wire [11:0] pio_mux_dipsw_external_connection_export,          // pio_mux_dipsw_external_connection.export
		input  wire [5:0]  pio_pb_external_connection_export,                 //        pio_pb_external_connection.export
		input  wire        reset_reset_n,                                     //                             reset.reset_n
		output wire [31:0] system_max_id_0_control_gui_export,                //       system_max_id_0_control_gui.export
		output wire        system_max_id_0_cpu_resetn_export,                 //        system_max_id_0_cpu_resetn.export
		input  wire [2:0]  system_max_id_0_fpga_pgm_export,                   //          system_max_id_0_fpga_pgm.export
		output wire        system_max_id_0_fpga_reconfign_export,             //    system_max_id_0_fpga_reconfign.export
		output wire [3:0]  system_max_id_0_page_sel_export,                   //          system_max_id_0_page_sel.export
		input  wire        system_max_id_0_page_sel_pb_export,                //       system_max_id_0_page_sel_pb.export
		input  wire [15:0] system_max_id_0_project_id_export,                 //        system_max_id_0_project_id.export
		output wire [2:0]  system_max_id_0_pwm_duty_ctrl_export,              //     system_max_id_0_pwm_duty_ctrl.export
		input  wire [31:0] system_max_id_0_slv_data_read_0_slv_data_read_0,   //   system_max_id_0_slv_data_read_0.slv_data_read_0
		input  wire [31:0] system_max_id_0_slv_data_read_1_slv_data_read_1,   //   system_max_id_0_slv_data_read_1.slv_data_read_1
		input  wire [31:0] system_max_id_0_slv_data_read_2_slv_data_read_2,   //   system_max_id_0_slv_data_read_2.slv_data_read_2
		input  wire [31:0] system_max_id_0_slv_data_read_3_slv_data_read_3,   //   system_max_id_0_slv_data_read_3.slv_data_read_3
		output wire [31:0] system_max_id_0_slv_data_write_0_slv_data_write_0, //  system_max_id_0_slv_data_write_0.slv_data_write_0
		output wire [31:0] system_max_id_0_slv_data_write_1_slv_data_write_1, //  system_max_id_0_slv_data_write_1.slv_data_write_1
		input  wire [31:0] system_max_id_0_version_export                     //           system_max_id_0_version.export
	);

	wire  [31:0] dac_i2c_access_reg_0_avalon_master_readdata;       // mm_interconnect_0:dac_i2c_access_reg_0_avalon_master_readdata -> dac_i2c_access_reg_0:wb_dat_o
	wire   [3:0] dac_i2c_access_reg_0_avalon_master_address;        // dac_i2c_access_reg_0:wb_adr_i -> mm_interconnect_0:dac_i2c_access_reg_0_avalon_master_address
	wire         dac_i2c_access_reg_0_avalon_master_read;           // dac_i2c_access_reg_0:wb_rd_i -> mm_interconnect_0:dac_i2c_access_reg_0_avalon_master_read
	wire         dac_i2c_access_reg_0_avalon_master_write;          // dac_i2c_access_reg_0:wb_we_i -> mm_interconnect_0:dac_i2c_access_reg_0_avalon_master_write
	wire  [31:0] dac_i2c_access_reg_0_avalon_master_writedata;      // dac_i2c_access_reg_0:wb_dat_i -> mm_interconnect_0:dac_i2c_access_reg_0_avalon_master_writedata
	wire  [31:0] master_0_master_readdata;                          // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                       // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                           // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                              // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                        // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                     // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                             // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                         // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire  [31:0] bmc_i2c_avalon_master_readdata;                    // mm_interconnect_0:bmc_i2c_avalon_master_readdata -> bmc_i2c:readdata
	wire         bmc_i2c_avalon_master_waitrequest;                 // mm_interconnect_0:bmc_i2c_avalon_master_waitrequest -> bmc_i2c:waitrequest
	wire  [31:0] bmc_i2c_avalon_master_address;                     // bmc_i2c:address -> mm_interconnect_0:bmc_i2c_avalon_master_address
	wire         bmc_i2c_avalon_master_read;                        // bmc_i2c:read -> mm_interconnect_0:bmc_i2c_avalon_master_read
	wire   [3:0] bmc_i2c_avalon_master_byteenable;                  // bmc_i2c:byteenable -> mm_interconnect_0:bmc_i2c_avalon_master_byteenable
	wire         bmc_i2c_avalon_master_readdatavalid;               // mm_interconnect_0:bmc_i2c_avalon_master_readdatavalid -> bmc_i2c:readdatavalid
	wire         bmc_i2c_avalon_master_write;                       // bmc_i2c:write -> mm_interconnect_0:bmc_i2c_avalon_master_write
	wire  [31:0] bmc_i2c_avalon_master_writedata;                   // bmc_i2c:writedata -> mm_interconnect_0:bmc_i2c_avalon_master_writedata
	wire  [31:0] fmcb_i2c_slave_avalon_master_readdata;             // mm_interconnect_0:fmcb_i2c_slave_avalon_master_readdata -> fmcb_i2c_slave:readdata
	wire         fmcb_i2c_slave_avalon_master_waitrequest;          // mm_interconnect_0:fmcb_i2c_slave_avalon_master_waitrequest -> fmcb_i2c_slave:waitrequest
	wire  [31:0] fmcb_i2c_slave_avalon_master_address;              // fmcb_i2c_slave:address -> mm_interconnect_0:fmcb_i2c_slave_avalon_master_address
	wire         fmcb_i2c_slave_avalon_master_read;                 // fmcb_i2c_slave:read -> mm_interconnect_0:fmcb_i2c_slave_avalon_master_read
	wire   [3:0] fmcb_i2c_slave_avalon_master_byteenable;           // fmcb_i2c_slave:byteenable -> mm_interconnect_0:fmcb_i2c_slave_avalon_master_byteenable
	wire         fmcb_i2c_slave_avalon_master_readdatavalid;        // mm_interconnect_0:fmcb_i2c_slave_avalon_master_readdatavalid -> fmcb_i2c_slave:readdatavalid
	wire         fmcb_i2c_slave_avalon_master_write;                // fmcb_i2c_slave:write -> mm_interconnect_0:fmcb_i2c_slave_avalon_master_write
	wire  [31:0] fmcb_i2c_slave_avalon_master_writedata;            // fmcb_i2c_slave:writedata -> mm_interconnect_0:fmcb_i2c_slave_avalon_master_writedata
	wire  [31:0] fmca_i2c_slave_avalon_master_readdata;             // mm_interconnect_0:fmca_i2c_slave_avalon_master_readdata -> fmca_i2c_slave:readdata
	wire         fmca_i2c_slave_avalon_master_waitrequest;          // mm_interconnect_0:fmca_i2c_slave_avalon_master_waitrequest -> fmca_i2c_slave:waitrequest
	wire  [31:0] fmca_i2c_slave_avalon_master_address;              // fmca_i2c_slave:address -> mm_interconnect_0:fmca_i2c_slave_avalon_master_address
	wire         fmca_i2c_slave_avalon_master_read;                 // fmca_i2c_slave:read -> mm_interconnect_0:fmca_i2c_slave_avalon_master_read
	wire   [3:0] fmca_i2c_slave_avalon_master_byteenable;           // fmca_i2c_slave:byteenable -> mm_interconnect_0:fmca_i2c_slave_avalon_master_byteenable
	wire         fmca_i2c_slave_avalon_master_readdatavalid;        // mm_interconnect_0:fmca_i2c_slave_avalon_master_readdatavalid -> fmca_i2c_slave:readdatavalid
	wire         fmca_i2c_slave_avalon_master_write;                // fmca_i2c_slave:write -> mm_interconnect_0:fmca_i2c_slave_avalon_master_write
	wire  [31:0] fmca_i2c_slave_avalon_master_writedata;            // fmca_i2c_slave:writedata -> mm_interconnect_0:fmca_i2c_slave_avalon_master_writedata
	wire  [31:0] mm_interconnect_0_i2c_4_csr_readdata;              // i2c_4:readdata -> mm_interconnect_0:i2c_4_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_4_csr_address;               // mm_interconnect_0:i2c_4_csr_address -> i2c_4:addr
	wire         mm_interconnect_0_i2c_4_csr_read;                  // mm_interconnect_0:i2c_4_csr_read -> i2c_4:read
	wire         mm_interconnect_0_i2c_4_csr_write;                 // mm_interconnect_0:i2c_4_csr_write -> i2c_4:write
	wire  [31:0] mm_interconnect_0_i2c_4_csr_writedata;             // mm_interconnect_0:i2c_4_csr_writedata -> i2c_4:writedata
	wire  [31:0] mm_interconnect_0_i2c_0_csr_readdata;              // i2c_0:readdata -> mm_interconnect_0:i2c_0_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_0_csr_address;               // mm_interconnect_0:i2c_0_csr_address -> i2c_0:addr
	wire         mm_interconnect_0_i2c_0_csr_read;                  // mm_interconnect_0:i2c_0_csr_read -> i2c_0:read
	wire         mm_interconnect_0_i2c_0_csr_write;                 // mm_interconnect_0:i2c_0_csr_write -> i2c_0:write
	wire  [31:0] mm_interconnect_0_i2c_0_csr_writedata;             // mm_interconnect_0:i2c_0_csr_writedata -> i2c_0:writedata
	wire  [31:0] mm_interconnect_0_i2c_power_max10_csr_readdata;    // i2c_power_max10:readdata -> mm_interconnect_0:i2c_power_max10_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_power_max10_csr_address;     // mm_interconnect_0:i2c_power_max10_csr_address -> i2c_power_max10:addr
	wire         mm_interconnect_0_i2c_power_max10_csr_read;        // mm_interconnect_0:i2c_power_max10_csr_read -> i2c_power_max10:read
	wire         mm_interconnect_0_i2c_power_max10_csr_write;       // mm_interconnect_0:i2c_power_max10_csr_write -> i2c_power_max10:write
	wire  [31:0] mm_interconnect_0_i2c_power_max10_csr_writedata;   // mm_interconnect_0:i2c_power_max10_csr_writedata -> i2c_power_max10:writedata
	wire  [31:0] mm_interconnect_0_i2c_1_csr_readdata;              // i2c_1:readdata -> mm_interconnect_0:i2c_1_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_1_csr_address;               // mm_interconnect_0:i2c_1_csr_address -> i2c_1:addr
	wire         mm_interconnect_0_i2c_1_csr_read;                  // mm_interconnect_0:i2c_1_csr_read -> i2c_1:read
	wire         mm_interconnect_0_i2c_1_csr_write;                 // mm_interconnect_0:i2c_1_csr_write -> i2c_1:write
	wire  [31:0] mm_interconnect_0_i2c_1_csr_writedata;             // mm_interconnect_0:i2c_1_csr_writedata -> i2c_1:writedata
	wire  [31:0] mm_interconnect_0_i2c_2_csr_readdata;              // i2c_2:readdata -> mm_interconnect_0:i2c_2_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_2_csr_address;               // mm_interconnect_0:i2c_2_csr_address -> i2c_2:addr
	wire         mm_interconnect_0_i2c_2_csr_read;                  // mm_interconnect_0:i2c_2_csr_read -> i2c_2:read
	wire         mm_interconnect_0_i2c_2_csr_write;                 // mm_interconnect_0:i2c_2_csr_write -> i2c_2:write
	wire  [31:0] mm_interconnect_0_i2c_2_csr_writedata;             // mm_interconnect_0:i2c_2_csr_writedata -> i2c_2:writedata
	wire  [31:0] mm_interconnect_0_i2c_3_csr_readdata;              // i2c_3:readdata -> mm_interconnect_0:i2c_3_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_3_csr_address;               // mm_interconnect_0:i2c_3_csr_address -> i2c_3:addr
	wire         mm_interconnect_0_i2c_3_csr_read;                  // mm_interconnect_0:i2c_3_csr_read -> i2c_3:read
	wire         mm_interconnect_0_i2c_3_csr_write;                 // mm_interconnect_0:i2c_3_csr_write -> i2c_3:write
	wire  [31:0] mm_interconnect_0_i2c_3_csr_writedata;             // mm_interconnect_0:i2c_3_csr_writedata -> i2c_3:writedata
	wire  [31:0] mm_interconnect_0_i2c_6_csr_readdata;              // i2c_6:readdata -> mm_interconnect_0:i2c_6_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_6_csr_address;               // mm_interconnect_0:i2c_6_csr_address -> i2c_6:addr
	wire         mm_interconnect_0_i2c_6_csr_read;                  // mm_interconnect_0:i2c_6_csr_read -> i2c_6:read
	wire         mm_interconnect_0_i2c_6_csr_write;                 // mm_interconnect_0:i2c_6_csr_write -> i2c_6:write
	wire  [31:0] mm_interconnect_0_i2c_6_csr_writedata;             // mm_interconnect_0:i2c_6_csr_writedata -> i2c_6:writedata
	wire  [31:0] mm_interconnect_0_i2c_5_csr_readdata;              // i2c_5:readdata -> mm_interconnect_0:i2c_5_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_5_csr_address;               // mm_interconnect_0:i2c_5_csr_address -> i2c_5:addr
	wire         mm_interconnect_0_i2c_5_csr_read;                  // mm_interconnect_0:i2c_5_csr_read -> i2c_5:read
	wire         mm_interconnect_0_i2c_5_csr_write;                 // mm_interconnect_0:i2c_5_csr_write -> i2c_5:write
	wire  [31:0] mm_interconnect_0_i2c_5_csr_writedata;             // mm_interconnect_0:i2c_5_csr_writedata -> i2c_5:writedata
	wire  [31:0] mm_interconnect_0_i2c_7_csr_readdata;              // i2c_7:readdata -> mm_interconnect_0:i2c_7_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_7_csr_address;               // mm_interconnect_0:i2c_7_csr_address -> i2c_7:addr
	wire         mm_interconnect_0_i2c_7_csr_read;                  // mm_interconnect_0:i2c_7_csr_read -> i2c_7:read
	wire         mm_interconnect_0_i2c_7_csr_write;                 // mm_interconnect_0:i2c_7_csr_write -> i2c_7:write
	wire  [31:0] mm_interconnect_0_i2c_7_csr_writedata;             // mm_interconnect_0:i2c_7_csr_writedata -> i2c_7:writedata
	wire  [31:0] mm_interconnect_0_i2c_8_csr_readdata;              // i2c_8:readdata -> mm_interconnect_0:i2c_8_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_8_csr_address;               // mm_interconnect_0:i2c_8_csr_address -> i2c_8:addr
	wire         mm_interconnect_0_i2c_8_csr_read;                  // mm_interconnect_0:i2c_8_csr_read -> i2c_8:read
	wire         mm_interconnect_0_i2c_8_csr_write;                 // mm_interconnect_0:i2c_8_csr_write -> i2c_8:write
	wire  [31:0] mm_interconnect_0_i2c_8_csr_writedata;             // mm_interconnect_0:i2c_8_csr_writedata -> i2c_8:writedata
	wire  [31:0] mm_interconnect_0_i2c_9_csr_readdata;              // i2c_9:readdata -> mm_interconnect_0:i2c_9_csr_readdata
	wire   [3:0] mm_interconnect_0_i2c_9_csr_address;               // mm_interconnect_0:i2c_9_csr_address -> i2c_9:addr
	wire         mm_interconnect_0_i2c_9_csr_read;                  // mm_interconnect_0:i2c_9_csr_read -> i2c_9:read
	wire         mm_interconnect_0_i2c_9_csr_write;                 // mm_interconnect_0:i2c_9_csr_write -> i2c_9:write
	wire  [31:0] mm_interconnect_0_i2c_9_csr_writedata;             // mm_interconnect_0:i2c_9_csr_writedata -> i2c_9:writedata
	wire  [31:0] mm_interconnect_0_pio_dipsw_s1_readdata;           // pio_dipsw:readdata -> mm_interconnect_0:pio_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_dipsw_s1_address;            // mm_interconnect_0:pio_dipsw_s1_address -> pio_dipsw:address
	wire  [31:0] mm_interconnect_0_pio_pb_s1_readdata;              // pio_pb:readdata -> mm_interconnect_0:pio_pb_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_pb_s1_address;               // mm_interconnect_0:pio_pb_s1_address -> pio_pb:address
	wire  [31:0] mm_interconnect_0_pio_led_g_s1_readdata;           // pio_led_g:readdata -> mm_interconnect_0:pio_led_g_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_led_g_s1_address;            // mm_interconnect_0:pio_led_g_s1_address -> pio_led_g:address
	wire  [31:0] mm_interconnect_0_pio_led_y_s1_readdata;           // pio_led_y:readdata -> mm_interconnect_0:pio_led_y_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_led_y_s1_address;            // mm_interconnect_0:pio_led_y_s1_address -> pio_led_y:address
	wire  [31:0] mm_interconnect_0_pio_mux_dipsw_s1_readdata;       // pio_mux_dipsw:readdata -> mm_interconnect_0:pio_mux_dipsw_s1_readdata
	wire   [1:0] mm_interconnect_0_pio_mux_dipsw_s1_address;        // mm_interconnect_0:pio_mux_dipsw_s1_address -> pio_mux_dipsw:address
	wire         mm_interconnect_0_system_max_id_0_slv_chipselect;  // mm_interconnect_0:System_max_ID_0_slv_chipselect -> System_max_ID_0:slv_en_n
	wire  [31:0] mm_interconnect_0_system_max_id_0_slv_readdata;    // System_max_ID_0:slv_data_out -> mm_interconnect_0:System_max_ID_0_slv_readdata
	wire         mm_interconnect_0_system_max_id_0_slv_waitrequest; // System_max_ID_0:slv_waitrequest_n -> mm_interconnect_0:System_max_ID_0_slv_waitrequest
	wire   [3:0] mm_interconnect_0_system_max_id_0_slv_address;     // mm_interconnect_0:System_max_ID_0_slv_address -> System_max_ID_0:slv_address
	wire         mm_interconnect_0_system_max_id_0_slv_read;        // mm_interconnect_0:System_max_ID_0_slv_read -> System_max_ID_0:slv_read_n
	wire         mm_interconnect_0_system_max_id_0_slv_write;       // mm_interconnect_0:System_max_ID_0_slv_write -> System_max_ID_0:slv_write_n
	wire  [31:0] mm_interconnect_0_system_max_id_0_slv_writedata;   // mm_interconnect_0:System_max_ID_0_slv_writedata -> System_max_ID_0:slv_data_in
	wire         irq_mapper_receiver0_irq;                          // i2c_4:intr -> irq_mapper:receiver0_irq
	wire         dac_i2c_access_reg_0_interrupt_receiver_irq;       // irq_mapper:sender_irq -> dac_i2c_access_reg_0:wb_inta_o
	wire         rst_controller_reset_out_reset;                    // rst_controller:reset_out -> [System_max_ID_0:reset_n, bmc_i2c:rst_n, dac_i2c_access_reg_0:rst_n, fmca_i2c_slave:rst_n, fmcb_i2c_slave:rst_n, i2c_0:rst_n, i2c_1:rst_n, i2c_2:rst_n, i2c_3:rst_n, i2c_4:rst_n, i2c_5:rst_n, i2c_6:rst_n, i2c_7:rst_n, i2c_8:rst_n, i2c_9:rst_n, i2c_power_max10:rst_n, irq_mapper:reset, mm_interconnect_0:dac_i2c_access_reg_0_reset_sink_reset_bridge_in_reset_reset, mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, pio_dipsw:reset_n, pio_led_g:reset_n, pio_led_y:reset_n, pio_mux_dipsw:reset_n, pio_pb:reset_n]

	sys_max_id system_max_id_0 (
		.reset_n           (~rst_controller_reset_out_reset),                   //            reset.reset_n
		.clk               (clk_clk),                                           //            clock.clk
		.slv_address       (mm_interconnect_0_system_max_id_0_slv_address),     //              slv.address
		.slv_read_n        (~mm_interconnect_0_system_max_id_0_slv_read),       //                 .read_n
		.slv_write_n       (~mm_interconnect_0_system_max_id_0_slv_write),      //                 .write_n
		.slv_waitrequest_n (mm_interconnect_0_system_max_id_0_slv_waitrequest), //                 .waitrequest_n
		.slv_en_n          (~mm_interconnect_0_system_max_id_0_slv_chipselect), //                 .chipselect_n
		.slv_data_in       (mm_interconnect_0_system_max_id_0_slv_writedata),   //                 .writedata
		.slv_data_out      (mm_interconnect_0_system_max_id_0_slv_readdata),    //                 .readdata
		.version           (system_max_id_0_version_export),                    //          version.export
		.project_id        (system_max_id_0_project_id_export),                 //       project_id.export
		.fpga_pgm          (system_max_id_0_fpga_pgm_export),                   //         fpga_pgm.export
		.page_sel_pb       (system_max_id_0_page_sel_pb_export),                //      page_sel_pb.export
		.cpu_resetn        (system_max_id_0_cpu_resetn_export),                 //       cpu_resetn.export
		.fpga_reconfign    (system_max_id_0_fpga_reconfign_export),             //   fpga_reconfign.export
		.page_sel          (system_max_id_0_page_sel_export),                   //         page_sel.export
		.control_gui       (system_max_id_0_control_gui_export),                //      control_gui.export
		.pwm_duty_ctrl     (system_max_id_0_pwm_duty_ctrl_export),              //    pwm_duty_ctrl.export
		.slv_data_write_0  (system_max_id_0_slv_data_write_0_slv_data_write_0), // slv_data_write_0.slv_data_write_0
		.slv_data_write_1  (system_max_id_0_slv_data_write_1_slv_data_write_1), // slv_data_write_1.slv_data_write_1
		.slv_data_read_0   (system_max_id_0_slv_data_read_0_slv_data_read_0),   //  slv_data_read_0.slv_data_read_0
		.slv_data_read_1   (system_max_id_0_slv_data_read_1_slv_data_read_1),   //  slv_data_read_1.slv_data_read_1
		.slv_data_read_2   (system_max_id_0_slv_data_read_2_slv_data_read_2),   //  slv_data_read_2.slv_data_read_2
		.slv_data_read_3   (system_max_id_0_slv_data_read_3_slv_data_read_3)    //  slv_data_read_3.slv_data_read_3
	);

	altera_i2cslave_to_avlmm_bridge #(
		.I2C_SLAVE_ADDRESS (7'b1010101),
		.BYTE_ADDRESSING   (2),
		.ADDRESS_STEALING  (0),
		.READ_ONLY         (0)
	) bmc_i2c (
		.clk           (clk_clk),                             //         clock.clk
		.address       (bmc_i2c_avalon_master_address),       // avalon_master.address
		.read          (bmc_i2c_avalon_master_read),          //              .read
		.readdata      (bmc_i2c_avalon_master_readdata),      //              .readdata
		.readdatavalid (bmc_i2c_avalon_master_readdatavalid), //              .readdatavalid
		.waitrequest   (bmc_i2c_avalon_master_waitrequest),   //              .waitrequest
		.write         (bmc_i2c_avalon_master_write),         //              .write
		.byteenable    (bmc_i2c_avalon_master_byteenable),    //              .byteenable
		.writedata     (bmc_i2c_avalon_master_writedata),     //              .writedata
		.rst_n         (~rst_controller_reset_out_reset),     //         reset.reset_n
		.i2c_data_in   (bmc_i2c_conduit_end_conduit_data_in), //   conduit_end.conduit_data_in
		.i2c_clk_in    (bmc_i2c_conduit_end_conduit_clk_in),  //              .conduit_clk_in
		.i2c_data_oe   (bmc_i2c_conduit_end_conduit_data_oe), //              .conduit_data_oe
		.i2c_clk_oe    (bmc_i2c_conduit_end_conduit_clk_oe)   //              .conduit_clk_oe
	);

	dac_i2c_access_reg dac_i2c_access_reg_0 (
		.clk          (clk_clk),                                       //              clock.clk
		.rst_n        (~rst_controller_reset_out_reset),               //         reset_sink.reset_n
		.wb_adr_i     (dac_i2c_access_reg_0_avalon_master_address),    //      avalon_master.address
		.wb_rd_i      (dac_i2c_access_reg_0_avalon_master_read),       //                   .read
		.wb_we_i      (dac_i2c_access_reg_0_avalon_master_write),      //                   .write
		.wb_dat_i     (dac_i2c_access_reg_0_avalon_master_writedata),  //                   .writedata
		.wb_dat_o     (dac_i2c_access_reg_0_avalon_master_readdata),   //                   .readdata
		.wb_inta_o    (dac_i2c_access_reg_0_interrupt_receiver_irq),   // interrupt_receiver.irq
		.state_data   (dac_i2c_access_reg_0_conduit_end_state_data),   //        conduit_end.state_data
		.clr_inc_dec  (dac_i2c_access_reg_0_conduit_end_clr_inc_dec),  //                   .clr_inc_dec
		.inc_dec_num  (dac_i2c_access_reg_0_conduit_end_inc_dec_num),  //                   .inc_dec_num
		.inc_decn     (dac_i2c_access_reg_0_conduit_end_inc_decn),     //                   .inc_decn
		.start_enable (dac_i2c_access_reg_0_conduit_end_start_enable), //                   .start_enable
		.dac_data     (dac_i2c_access_reg_0_conduit_end_readdata)      //                   .readdata
	);

	altera_i2cslave_to_avlmm_bridge #(
		.I2C_SLAVE_ADDRESS (7'b1010110),
		.BYTE_ADDRESSING   (2),
		.ADDRESS_STEALING  (0),
		.READ_ONLY         (0)
	) fmca_i2c_slave (
		.clk           (clk_clk),                                    //         clock.clk
		.address       (fmca_i2c_slave_avalon_master_address),       // avalon_master.address
		.read          (fmca_i2c_slave_avalon_master_read),          //              .read
		.readdata      (fmca_i2c_slave_avalon_master_readdata),      //              .readdata
		.readdatavalid (fmca_i2c_slave_avalon_master_readdatavalid), //              .readdatavalid
		.waitrequest   (fmca_i2c_slave_avalon_master_waitrequest),   //              .waitrequest
		.write         (fmca_i2c_slave_avalon_master_write),         //              .write
		.byteenable    (fmca_i2c_slave_avalon_master_byteenable),    //              .byteenable
		.writedata     (fmca_i2c_slave_avalon_master_writedata),     //              .writedata
		.rst_n         (~rst_controller_reset_out_reset),            //         reset.reset_n
		.i2c_data_in   (fmca_i2c_slave_conduit_end_conduit_data_in), //   conduit_end.conduit_data_in
		.i2c_clk_in    (fmca_i2c_slave_conduit_end_conduit_clk_in),  //              .conduit_clk_in
		.i2c_data_oe   (fmca_i2c_slave_conduit_end_conduit_data_oe), //              .conduit_data_oe
		.i2c_clk_oe    (fmca_i2c_slave_conduit_end_conduit_clk_oe)   //              .conduit_clk_oe
	);

	altera_i2cslave_to_avlmm_bridge #(
		.I2C_SLAVE_ADDRESS (7'b1010111),
		.BYTE_ADDRESSING   (2),
		.ADDRESS_STEALING  (0),
		.READ_ONLY         (0)
	) fmcb_i2c_slave (
		.clk           (clk_clk),                                    //         clock.clk
		.address       (fmcb_i2c_slave_avalon_master_address),       // avalon_master.address
		.read          (fmcb_i2c_slave_avalon_master_read),          //              .read
		.readdata      (fmcb_i2c_slave_avalon_master_readdata),      //              .readdata
		.readdatavalid (fmcb_i2c_slave_avalon_master_readdatavalid), //              .readdatavalid
		.waitrequest   (fmcb_i2c_slave_avalon_master_waitrequest),   //              .waitrequest
		.write         (fmcb_i2c_slave_avalon_master_write),         //              .write
		.byteenable    (fmcb_i2c_slave_avalon_master_byteenable),    //              .byteenable
		.writedata     (fmcb_i2c_slave_avalon_master_writedata),     //              .writedata
		.rst_n         (~rst_controller_reset_out_reset),            //         reset.reset_n
		.i2c_data_in   (fmcb_i2c_slave_conduit_end_conduit_data_in), //   conduit_end.conduit_data_in
		.i2c_clk_in    (fmcb_i2c_slave_conduit_end_conduit_clk_in),  //              .conduit_clk_in
		.i2c_data_oe   (fmcb_i2c_slave_conduit_end_conduit_data_oe), //              .conduit_data_oe
		.i2c_clk_oe    (fmcb_i2c_slave_conduit_end_conduit_clk_oe)   //              .conduit_clk_oe
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_0 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_0_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_0_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_0_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_0_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_0_csr_readdata),  //                 .readdata
		.sda_in    (i2c_0_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_0_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_0_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_0_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_1 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_1_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_1_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_1_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_1_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_1_csr_readdata),  //                 .readdata
		.sda_in    (i2c_1_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_1_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_1_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_1_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_2 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_2_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_2_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_2_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_2_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_2_csr_readdata),  //                 .readdata
		.sda_in    (i2c_2_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_2_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_2_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_2_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_3 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_3_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_3_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_3_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_3_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_3_csr_readdata),  //                 .readdata
		.sda_in    (i2c_3_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_3_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_3_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_3_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_4 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (irq_mapper_receiver0_irq),              // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_4_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_4_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_4_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_4_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_4_csr_readdata),  //                 .readdata
		.sda_in    (i2c_4_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_4_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_4_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_4_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_5 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_5_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_5_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_5_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_5_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_5_csr_readdata),  //                 .readdata
		.sda_in    (i2c_5_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_5_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_5_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_5_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_6 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_6_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_6_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_6_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_6_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_6_csr_readdata),  //                 .readdata
		.sda_in    (i2c_6_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_6_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_6_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_6_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_7 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_7_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_7_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_7_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_7_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_7_csr_readdata),  //                 .readdata
		.sda_in    (i2c_7_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_7_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_7_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_7_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_8 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_8_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_8_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_8_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_8_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_8_csr_readdata),  //                 .readdata
		.sda_in    (i2c_8_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_8_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_8_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_8_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (4),
		.FIFO_DEPTH_LOG2 (2)
	) i2c_9 (
		.clk       (clk_clk),                               //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),       //       reset_sink.reset_n
		.intr      (),                                      // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_9_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_9_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_9_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_9_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_9_csr_readdata),  //                 .readdata
		.sda_in    (i2c_9_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_9_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_9_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_9_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                      //      (terminated)
		.src_valid (),                                      //      (terminated)
		.src_ready (1'b0),                                  //      (terminated)
		.snk_data  (16'b0000000000000000),                  //      (terminated)
		.snk_valid (1'b0),                                  //      (terminated)
		.snk_ready ()                                       //      (terminated)
	);

	altera_avalon_i2c #(
		.USE_AV_ST       (0),
		.FIFO_DEPTH      (64),
		.FIFO_DEPTH_LOG2 (6)
	) i2c_power_max10 (
		.clk       (clk_clk),                                         //            clock.clk
		.rst_n     (~rst_controller_reset_out_reset),                 //       reset_sink.reset_n
		.intr      (),                                                // interrupt_sender.irq
		.addr      (mm_interconnect_0_i2c_power_max10_csr_address),   //              csr.address
		.read      (mm_interconnect_0_i2c_power_max10_csr_read),      //                 .read
		.write     (mm_interconnect_0_i2c_power_max10_csr_write),     //                 .write
		.writedata (mm_interconnect_0_i2c_power_max10_csr_writedata), //                 .writedata
		.readdata  (mm_interconnect_0_i2c_power_max10_csr_readdata),  //                 .readdata
		.sda_in    (i2c_power_max10_i2c_serial_sda_in),               //       i2c_serial.sda_in
		.scl_in    (i2c_power_max10_i2c_serial_scl_in),               //                 .scl_in
		.sda_oe    (i2c_power_max10_i2c_serial_sda_oe),               //                 .sda_oe
		.scl_oe    (i2c_power_max10_i2c_serial_scl_oe),               //                 .scl_oe
		.src_data  (),                                                //      (terminated)
		.src_valid (),                                                //      (terminated)
		.src_ready (1'b0),                                            //      (terminated)
		.snk_data  (16'b0000000000000000),                            //      (terminated)
		.snk_valid (1'b0),                                            //      (terminated)
		.snk_ready ()                                                 //      (terminated)
	);

	q_sys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_clk),                       //          clk.clk
		.clk_reset_reset      (~reset_reset_n),                //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	q_sys_pio_dipsw pio_dipsw (
		.clk      (clk_clk),                                 //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address  (mm_interconnect_0_pio_dipsw_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_dipsw_s1_readdata), //                    .readdata
		.in_port  (pio_dipsw_external_connection_export)     // external_connection.export
	);

	q_sys_pio_led_g pio_led_g (
		.clk      (clk_clk),                                 //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address  (mm_interconnect_0_pio_led_g_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_led_g_s1_readdata), //                    .readdata
		.in_port  (pio_led_g_external_connection_export)     // external_connection.export
	);

	q_sys_pio_led_y pio_led_y (
		.clk      (clk_clk),                                 //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address  (mm_interconnect_0_pio_led_y_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_led_y_s1_readdata), //                    .readdata
		.in_port  (pio_led_y_external_connection_export)     // external_connection.export
	);

	q_sys_pio_mux_dipsw pio_mux_dipsw (
		.clk      (clk_clk),                                     //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),             //               reset.reset_n
		.address  (mm_interconnect_0_pio_mux_dipsw_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_mux_dipsw_s1_readdata), //                    .readdata
		.in_port  (pio_mux_dipsw_external_connection_export)     // external_connection.export
	);

	q_sys_pio_led_g pio_pb (
		.clk      (clk_clk),                              //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),      //               reset.reset_n
		.address  (mm_interconnect_0_pio_pb_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_pio_pb_s1_readdata), //                    .readdata
		.in_port  (pio_pb_external_connection_export)     // external_connection.export
	);

	q_sys_mm_interconnect_0 mm_interconnect_0 (
		.clk_0_clk_clk                                               (clk_clk),                                            //                                             clk_0_clk.clk
		.dac_i2c_access_reg_0_reset_sink_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                     // dac_i2c_access_reg_0_reset_sink_reset_bridge_in_reset.reset
		.master_0_clk_reset_reset_bridge_in_reset_reset              (rst_controller_reset_out_reset),                     //              master_0_clk_reset_reset_bridge_in_reset.reset
		.bmc_i2c_avalon_master_address                               (bmc_i2c_avalon_master_address),                      //                                 bmc_i2c_avalon_master.address
		.bmc_i2c_avalon_master_waitrequest                           (bmc_i2c_avalon_master_waitrequest),                  //                                                      .waitrequest
		.bmc_i2c_avalon_master_byteenable                            (bmc_i2c_avalon_master_byteenable),                   //                                                      .byteenable
		.bmc_i2c_avalon_master_read                                  (bmc_i2c_avalon_master_read),                         //                                                      .read
		.bmc_i2c_avalon_master_readdata                              (bmc_i2c_avalon_master_readdata),                     //                                                      .readdata
		.bmc_i2c_avalon_master_readdatavalid                         (bmc_i2c_avalon_master_readdatavalid),                //                                                      .readdatavalid
		.bmc_i2c_avalon_master_write                                 (bmc_i2c_avalon_master_write),                        //                                                      .write
		.bmc_i2c_avalon_master_writedata                             (bmc_i2c_avalon_master_writedata),                    //                                                      .writedata
		.dac_i2c_access_reg_0_avalon_master_address                  (dac_i2c_access_reg_0_avalon_master_address),         //                    dac_i2c_access_reg_0_avalon_master.address
		.dac_i2c_access_reg_0_avalon_master_read                     (dac_i2c_access_reg_0_avalon_master_read),            //                                                      .read
		.dac_i2c_access_reg_0_avalon_master_readdata                 (dac_i2c_access_reg_0_avalon_master_readdata),        //                                                      .readdata
		.dac_i2c_access_reg_0_avalon_master_write                    (dac_i2c_access_reg_0_avalon_master_write),           //                                                      .write
		.dac_i2c_access_reg_0_avalon_master_writedata                (dac_i2c_access_reg_0_avalon_master_writedata),       //                                                      .writedata
		.fmca_i2c_slave_avalon_master_address                        (fmca_i2c_slave_avalon_master_address),               //                          fmca_i2c_slave_avalon_master.address
		.fmca_i2c_slave_avalon_master_waitrequest                    (fmca_i2c_slave_avalon_master_waitrequest),           //                                                      .waitrequest
		.fmca_i2c_slave_avalon_master_byteenable                     (fmca_i2c_slave_avalon_master_byteenable),            //                                                      .byteenable
		.fmca_i2c_slave_avalon_master_read                           (fmca_i2c_slave_avalon_master_read),                  //                                                      .read
		.fmca_i2c_slave_avalon_master_readdata                       (fmca_i2c_slave_avalon_master_readdata),              //                                                      .readdata
		.fmca_i2c_slave_avalon_master_readdatavalid                  (fmca_i2c_slave_avalon_master_readdatavalid),         //                                                      .readdatavalid
		.fmca_i2c_slave_avalon_master_write                          (fmca_i2c_slave_avalon_master_write),                 //                                                      .write
		.fmca_i2c_slave_avalon_master_writedata                      (fmca_i2c_slave_avalon_master_writedata),             //                                                      .writedata
		.fmcb_i2c_slave_avalon_master_address                        (fmcb_i2c_slave_avalon_master_address),               //                          fmcb_i2c_slave_avalon_master.address
		.fmcb_i2c_slave_avalon_master_waitrequest                    (fmcb_i2c_slave_avalon_master_waitrequest),           //                                                      .waitrequest
		.fmcb_i2c_slave_avalon_master_byteenable                     (fmcb_i2c_slave_avalon_master_byteenable),            //                                                      .byteenable
		.fmcb_i2c_slave_avalon_master_read                           (fmcb_i2c_slave_avalon_master_read),                  //                                                      .read
		.fmcb_i2c_slave_avalon_master_readdata                       (fmcb_i2c_slave_avalon_master_readdata),              //                                                      .readdata
		.fmcb_i2c_slave_avalon_master_readdatavalid                  (fmcb_i2c_slave_avalon_master_readdatavalid),         //                                                      .readdatavalid
		.fmcb_i2c_slave_avalon_master_write                          (fmcb_i2c_slave_avalon_master_write),                 //                                                      .write
		.fmcb_i2c_slave_avalon_master_writedata                      (fmcb_i2c_slave_avalon_master_writedata),             //                                                      .writedata
		.master_0_master_address                                     (master_0_master_address),                            //                                       master_0_master.address
		.master_0_master_waitrequest                                 (master_0_master_waitrequest),                        //                                                      .waitrequest
		.master_0_master_byteenable                                  (master_0_master_byteenable),                         //                                                      .byteenable
		.master_0_master_read                                        (master_0_master_read),                               //                                                      .read
		.master_0_master_readdata                                    (master_0_master_readdata),                           //                                                      .readdata
		.master_0_master_readdatavalid                               (master_0_master_readdatavalid),                      //                                                      .readdatavalid
		.master_0_master_write                                       (master_0_master_write),                              //                                                      .write
		.master_0_master_writedata                                   (master_0_master_writedata),                          //                                                      .writedata
		.i2c_0_csr_address                                           (mm_interconnect_0_i2c_0_csr_address),                //                                             i2c_0_csr.address
		.i2c_0_csr_write                                             (mm_interconnect_0_i2c_0_csr_write),                  //                                                      .write
		.i2c_0_csr_read                                              (mm_interconnect_0_i2c_0_csr_read),                   //                                                      .read
		.i2c_0_csr_readdata                                          (mm_interconnect_0_i2c_0_csr_readdata),               //                                                      .readdata
		.i2c_0_csr_writedata                                         (mm_interconnect_0_i2c_0_csr_writedata),              //                                                      .writedata
		.i2c_1_csr_address                                           (mm_interconnect_0_i2c_1_csr_address),                //                                             i2c_1_csr.address
		.i2c_1_csr_write                                             (mm_interconnect_0_i2c_1_csr_write),                  //                                                      .write
		.i2c_1_csr_read                                              (mm_interconnect_0_i2c_1_csr_read),                   //                                                      .read
		.i2c_1_csr_readdata                                          (mm_interconnect_0_i2c_1_csr_readdata),               //                                                      .readdata
		.i2c_1_csr_writedata                                         (mm_interconnect_0_i2c_1_csr_writedata),              //                                                      .writedata
		.i2c_2_csr_address                                           (mm_interconnect_0_i2c_2_csr_address),                //                                             i2c_2_csr.address
		.i2c_2_csr_write                                             (mm_interconnect_0_i2c_2_csr_write),                  //                                                      .write
		.i2c_2_csr_read                                              (mm_interconnect_0_i2c_2_csr_read),                   //                                                      .read
		.i2c_2_csr_readdata                                          (mm_interconnect_0_i2c_2_csr_readdata),               //                                                      .readdata
		.i2c_2_csr_writedata                                         (mm_interconnect_0_i2c_2_csr_writedata),              //                                                      .writedata
		.i2c_3_csr_address                                           (mm_interconnect_0_i2c_3_csr_address),                //                                             i2c_3_csr.address
		.i2c_3_csr_write                                             (mm_interconnect_0_i2c_3_csr_write),                  //                                                      .write
		.i2c_3_csr_read                                              (mm_interconnect_0_i2c_3_csr_read),                   //                                                      .read
		.i2c_3_csr_readdata                                          (mm_interconnect_0_i2c_3_csr_readdata),               //                                                      .readdata
		.i2c_3_csr_writedata                                         (mm_interconnect_0_i2c_3_csr_writedata),              //                                                      .writedata
		.i2c_4_csr_address                                           (mm_interconnect_0_i2c_4_csr_address),                //                                             i2c_4_csr.address
		.i2c_4_csr_write                                             (mm_interconnect_0_i2c_4_csr_write),                  //                                                      .write
		.i2c_4_csr_read                                              (mm_interconnect_0_i2c_4_csr_read),                   //                                                      .read
		.i2c_4_csr_readdata                                          (mm_interconnect_0_i2c_4_csr_readdata),               //                                                      .readdata
		.i2c_4_csr_writedata                                         (mm_interconnect_0_i2c_4_csr_writedata),              //                                                      .writedata
		.i2c_5_csr_address                                           (mm_interconnect_0_i2c_5_csr_address),                //                                             i2c_5_csr.address
		.i2c_5_csr_write                                             (mm_interconnect_0_i2c_5_csr_write),                  //                                                      .write
		.i2c_5_csr_read                                              (mm_interconnect_0_i2c_5_csr_read),                   //                                                      .read
		.i2c_5_csr_readdata                                          (mm_interconnect_0_i2c_5_csr_readdata),               //                                                      .readdata
		.i2c_5_csr_writedata                                         (mm_interconnect_0_i2c_5_csr_writedata),              //                                                      .writedata
		.i2c_6_csr_address                                           (mm_interconnect_0_i2c_6_csr_address),                //                                             i2c_6_csr.address
		.i2c_6_csr_write                                             (mm_interconnect_0_i2c_6_csr_write),                  //                                                      .write
		.i2c_6_csr_read                                              (mm_interconnect_0_i2c_6_csr_read),                   //                                                      .read
		.i2c_6_csr_readdata                                          (mm_interconnect_0_i2c_6_csr_readdata),               //                                                      .readdata
		.i2c_6_csr_writedata                                         (mm_interconnect_0_i2c_6_csr_writedata),              //                                                      .writedata
		.i2c_7_csr_address                                           (mm_interconnect_0_i2c_7_csr_address),                //                                             i2c_7_csr.address
		.i2c_7_csr_write                                             (mm_interconnect_0_i2c_7_csr_write),                  //                                                      .write
		.i2c_7_csr_read                                              (mm_interconnect_0_i2c_7_csr_read),                   //                                                      .read
		.i2c_7_csr_readdata                                          (mm_interconnect_0_i2c_7_csr_readdata),               //                                                      .readdata
		.i2c_7_csr_writedata                                         (mm_interconnect_0_i2c_7_csr_writedata),              //                                                      .writedata
		.i2c_8_csr_address                                           (mm_interconnect_0_i2c_8_csr_address),                //                                             i2c_8_csr.address
		.i2c_8_csr_write                                             (mm_interconnect_0_i2c_8_csr_write),                  //                                                      .write
		.i2c_8_csr_read                                              (mm_interconnect_0_i2c_8_csr_read),                   //                                                      .read
		.i2c_8_csr_readdata                                          (mm_interconnect_0_i2c_8_csr_readdata),               //                                                      .readdata
		.i2c_8_csr_writedata                                         (mm_interconnect_0_i2c_8_csr_writedata),              //                                                      .writedata
		.i2c_9_csr_address                                           (mm_interconnect_0_i2c_9_csr_address),                //                                             i2c_9_csr.address
		.i2c_9_csr_write                                             (mm_interconnect_0_i2c_9_csr_write),                  //                                                      .write
		.i2c_9_csr_read                                              (mm_interconnect_0_i2c_9_csr_read),                   //                                                      .read
		.i2c_9_csr_readdata                                          (mm_interconnect_0_i2c_9_csr_readdata),               //                                                      .readdata
		.i2c_9_csr_writedata                                         (mm_interconnect_0_i2c_9_csr_writedata),              //                                                      .writedata
		.i2c_power_max10_csr_address                                 (mm_interconnect_0_i2c_power_max10_csr_address),      //                                   i2c_power_max10_csr.address
		.i2c_power_max10_csr_write                                   (mm_interconnect_0_i2c_power_max10_csr_write),        //                                                      .write
		.i2c_power_max10_csr_read                                    (mm_interconnect_0_i2c_power_max10_csr_read),         //                                                      .read
		.i2c_power_max10_csr_readdata                                (mm_interconnect_0_i2c_power_max10_csr_readdata),     //                                                      .readdata
		.i2c_power_max10_csr_writedata                               (mm_interconnect_0_i2c_power_max10_csr_writedata),    //                                                      .writedata
		.pio_dipsw_s1_address                                        (mm_interconnect_0_pio_dipsw_s1_address),             //                                          pio_dipsw_s1.address
		.pio_dipsw_s1_readdata                                       (mm_interconnect_0_pio_dipsw_s1_readdata),            //                                                      .readdata
		.pio_led_g_s1_address                                        (mm_interconnect_0_pio_led_g_s1_address),             //                                          pio_led_g_s1.address
		.pio_led_g_s1_readdata                                       (mm_interconnect_0_pio_led_g_s1_readdata),            //                                                      .readdata
		.pio_led_y_s1_address                                        (mm_interconnect_0_pio_led_y_s1_address),             //                                          pio_led_y_s1.address
		.pio_led_y_s1_readdata                                       (mm_interconnect_0_pio_led_y_s1_readdata),            //                                                      .readdata
		.pio_mux_dipsw_s1_address                                    (mm_interconnect_0_pio_mux_dipsw_s1_address),         //                                      pio_mux_dipsw_s1.address
		.pio_mux_dipsw_s1_readdata                                   (mm_interconnect_0_pio_mux_dipsw_s1_readdata),        //                                                      .readdata
		.pio_pb_s1_address                                           (mm_interconnect_0_pio_pb_s1_address),                //                                             pio_pb_s1.address
		.pio_pb_s1_readdata                                          (mm_interconnect_0_pio_pb_s1_readdata),               //                                                      .readdata
		.System_max_ID_0_slv_address                                 (mm_interconnect_0_system_max_id_0_slv_address),      //                                   System_max_ID_0_slv.address
		.System_max_ID_0_slv_write                                   (mm_interconnect_0_system_max_id_0_slv_write),        //                                                      .write
		.System_max_ID_0_slv_read                                    (mm_interconnect_0_system_max_id_0_slv_read),         //                                                      .read
		.System_max_ID_0_slv_readdata                                (mm_interconnect_0_system_max_id_0_slv_readdata),     //                                                      .readdata
		.System_max_ID_0_slv_writedata                               (mm_interconnect_0_system_max_id_0_slv_writedata),    //                                                      .writedata
		.System_max_ID_0_slv_waitrequest                             (~mm_interconnect_0_system_max_id_0_slv_waitrequest), //                                                      .waitrequest
		.System_max_ID_0_slv_chipselect                              (mm_interconnect_0_system_max_id_0_slv_chipselect)    //                                                      .chipselect
	);

	q_sys_irq_mapper irq_mapper (
		.clk           (clk_clk),                                     //       clk.clk
		.reset         (rst_controller_reset_out_reset),              // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),                    // receiver0.irq
		.sender_irq    (dac_i2c_access_reg_0_interrupt_receiver_irq)  //    sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (clk_clk),                        //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
